メインコンテンツへスキップ
POST
/
marketing
/
emails
/
2026-03
/
{emailId}
/
revisions
/
{revisionId}
/
restore
マーケティングEメールのリビジョンを復元
curl --request POST \
  --url https://api.hubapi.com/marketing/emails/2026-03/{emailId}/revisions/{revisionId}/restore \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/marketing/emails/2026-03/{emailId}/revisions/{revisionId}/restore"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/marketing/emails/2026-03/{emailId}/revisions/{revisionId}/restore', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


This response has no body data.
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

emailId
string
必須

マーケティングEメールID。

revisionId
string
必須

リビジョンのID。

レスポンス

最終更新日 2026年4月10日